<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="obj_cards_list.xsd"/>
<xsd:include schemaLocation="common_obj_ip_span.xsd"/>


	<xsd:element name="UNIT_POSITION" type="UnitPositionContent"/>
	<xsd:element name="UNITS_LIST" type="UnitsPositionListContent"/>
	<xsd:element name="CLOCK_TYPE" type="ClockConfigurationType"/>
	<xsd:element name="INTERVAL" type="IntervalType"/>

	<xsd:element name="GET_PERFORMANCE_MONITORING">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="BOARD_NUMBER"/>
				<xsd:element ref="UNIT_NUMBER"/>
				<xsd:element ref="INTERVAL"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:simpleType name="IntervalType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="15_mins"/>
			<xsd:enumeration value="24_hours"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:element name="GET">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:element ref="BOARD_NUMBER"/>
				<xsd:element ref="SUB_BOARD_ID" minOccurs="0"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="TRANS_CARD">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="NEW_CARD">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="CARD_DETAILS"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="UPDATE_CARD">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="CARD_DETAILS"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="DEL_CARD">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="BOARD_NUMBER"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="CARD_RESET">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="BOARD_NUMBER"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="DISABLE_UNITS">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="UNITS_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="ENABLE_UNITS">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="UNITS_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="RESET_UNITS">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="UNITS_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="CFG_AUDIO_BRIDGE">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="CONFIGURATION_DATA"/>
				<xsd:element ref="UNITS_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="CFG_MUX_UNITS">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="CONFIGURATION_DATA"/>
				<xsd:element ref="UNITS_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="CFG_DATA_UNITS">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="CONFIGURATION_DATA"/>
				<xsd:element ref="UNITS_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="SET_CLOCK_SOURCE">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="UNIT_POSITION"/>
				<xsd:element ref="CLOCK_TYPE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="GET_UNIT">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:element ref="UNIT_POSITION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>
			<xsd:element ref="NEW_CARD"/>                   <!--not supported-->
			<xsd:element ref="UPDATE_CARD"/>                <!--not supported-->
			<xsd:element ref="DEL_CARD"/>                   <!--not supported-->
			<xsd:element ref="CARD_RESET"/>                 <!--not supported-->
			<xsd:element ref="DISABLE_UNITS"/>              <!--not supported-->
			<xsd:element ref="ENABLE_UNITS"/>               <!--not supported-->
			<xsd:element ref="RESET_UNITS"/>                <!--not supported-->
			<xsd:element ref="CFG_AUDIO_BRIDGE"/>           <!--not supported-->
			<xsd:element ref="CFG_MUX_UNITS"/>              <!--not supported-->
			<xsd:element ref="CFG_DATA_UNITS"/>             <!--not supported-->
			<xsd:element ref="SET_CLOCK_SOURCE"/>           <!--not supported-->
			<xsd:element ref="GET_UNIT"/>
			<xsd:element ref="GET_PERFORMANCE_MONITORING"/> <!--not supported-->
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:complexType name="UnitsPositionListContent">
		<xsd:sequence>
			<xsd:element ref="UNIT_POSITION" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="UnitPositionContent">
		<xsd:sequence>
			<xsd:element ref="BOARD_NUMBER"/>
			<xsd:element ref="UNIT_NUMBER"/>
			<xsd:element ref="SUB_BOARD_ID" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="ClockConfigurationType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="master"/>
			<xsd:enumeration value="backup"/>
		</xsd:restriction>
	</xsd:simpleType>

</xsd:schema>
